<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.configuration.handler.reverse-proxy" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cached-connections-per-thread,connection-idle-timeout,connections-per-thread,max-request-time,max-retries,problem-server-retry,request-queue-size,session-cookie-names"/>
        <elem name="addr-params" value="profile,subsystem,configuration,reverse-proxy"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.extension.undertow.handler.$reverse-proxy"/>
    </provides>
    <refs>
        <ref feature="subsystem.undertow.configuration.handler"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="connection-idle-timeout" nillable="true" stability="default"/>
        <param name="reverse-proxy" feature-id="true"/>
        <param name="session-cookie-names" nillable="true" stability="default"/>
        <param name="request-queue-size" nillable="true" stability="default"/>
        <param name="configuration" feature-id="true" default="handler"/>
        <param name="problem-server-retry" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="max-retries" nillable="true" stability="default"/>
        <param name="cached-connections-per-thread" nillable="true" stability="default"/>
        <param name="connections-per-thread" nillable="true" stability="default"/>
        <param name="max-request-time" nillable="true" stability="default"/>
    </params>
</feature-spec>